Create a shared resource
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/resources';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"type":"object-storage","name":"buzz-media","config":{"dataStorageMaxGb":2}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/resources \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "type": "object-storage", "name": "buzz-media", "config": { "dataStorageMaxGb": 2 } }'Object storage is provisioned synchronously and returns status available. A Valkey cache is asynchronous and returns status provisioning; poll the show endpoint until it reports available.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The organisation ID
Example
test-orgRequest Bodyrequired
Section titled “Request Bodyrequired”object
Example
object-storageLowercase letters, numbers and hyphens, 2-41 characters, starting with a letter or number
Example
buzz-mediaValkey only
object
Example
2Responses
Section titled “Responses”The created resource
object
Creating and updating apply to a CI runner pool
Org for resources managed by these endpoints. app rows are compatibility records for an application-managed cache and cannot be mutated here.
Type-specific settings, such as dataStorageMaxGb for a cache
object
Provisioned detail: bucket and region for object storage, cache identifier and endpoint for a cache. Not returned for a CI runner pool.
object
Example
{ "orgName": "test-org", "resourceId": "os-buzz-media", "type": "object-storage", "name": "buzz-media", "status": "provisioning", "scope": "org"}A resource with this name already exists
Invalid type, name or cache capacity
